Qt 5.11 | Qt Sensors | C++ Classes | QHolsterReading

Qt 5.11.3 Reference Documentation

# QHolsterReading Class

The QHolsterReading class holds readings from the holster sensor. More...

Header: | #include <QHolsterReading>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- holstered : const bool

- 1 property inherited from QSensorReading

## Public Functions

| QHolsterReading(QObject *parent = DECLARE_READING(QHolsterReading))
virtual | ~QHolsterReading()
bool | holstered() const
void | setHolstered(bool holstered)

## Reimplemented Public Functions

virtual void | copyValuesFrom(QSensorReading *other) override

- 4 public functions inherited from QSensorReading

## Detailed Description

The QHolsterReading class holds readings from the holster sensor.

#### QHolsterReading Units

The holster sensor can detect if a device is holstered or not. A holster is a pocket, similar to a gun holster, specifically made for the device. If the device is inside of this pocket, it is holstered. The holster supports the device in detecting whether the device is holstered or not.

## Property Documentation

### holstered : const bool

This property holds a value indicating whether the device is holstered.

Access functions:

bool | holstered() const

See also QHolsterReading Units.

## Member Function Documentation

### QHolsterReading::QHolsterReading(QObject *parent = DECLARE_READING(QHolsterReading))

Default constructs an instance of QHolsterReading.

### `[virtual]` QHolsterReading::~QHolsterReading()

Destroys the instance of QHolsterReading. The destructor is virtual.

### `[override virtual]` void QHolsterReading::copyValuesFrom(QSensorReading *other)

### void QHolsterReading::setHolstered(bool holstered)

Sets the holstered value to holstered.

See also holstered().